<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WriteResponse StructType
 * @subpackage Structs
 */
class WriteResponse extends AbstractStructBase
{
    /**
     * The status
     * Meta information extracted from the WSDL
     * - ref: platformCore:status
     * @var \StructType\Status
     */
    public $status;
    /**
     * The baseRef
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\BaseRef
     */
    public $baseRef;
    /**
     * Constructor method for WriteResponse
     * @uses WriteResponse::setStatus()
     * @uses WriteResponse::setBaseRef()
     * @param \StructType\Status $status
     * @param \StructType\BaseRef $baseRef
     */
    public function __construct(\StructType\Status $status = null, \StructType\BaseRef $baseRef = null)
    {
        $this
            ->setStatus($status)
            ->setBaseRef($baseRef);
    }
    /**
     * Get status value
     * @return \StructType\Status|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\Status $status
     * @return \StructType\WriteResponse
     */
    public function setStatus(\StructType\Status $status = null)
    {
        $this->status = $status;
        return $this;
    }
    /**
     * Get baseRef value
     * @return \StructType\BaseRef|null
     */
    public function getBaseRef()
    {
        return $this->baseRef;
    }
    /**
     * Set baseRef value
     * @param \StructType\BaseRef $baseRef
     * @return \StructType\WriteResponse
     */
    public function setBaseRef(\StructType\BaseRef $baseRef = null)
    {
        $this->baseRef = $baseRef;
        return $this;
    }
}
